<?php


namespace App\RestApi\Form\Requests;


use Freelabois\LaravelQuickstart\Traits\RequestValidator;
use Illuminate\Foundation\Http\FormRequest as Request;

class FormGroupingRequest extends Request
{
    use RequestValidator;

    public array $post_rules = [
        "foag_descricao" => "required|string|nullable",
        "foag_status" => "integer|min:1|max:2",
        "forms.*" => "integer|min:1",
    ];

    public array $put_rules = [
        "foag_descricao" => "string|nullable",
        "foag_status" => "integer|min:1|max:2",
        "forms.*" => "integer|min:1",
    ];

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

}
