<?php


namespace App\RestApi\Form\Requests;


use Freelabois\LaravelQuickstart\Traits\RequestValidator;
use Illuminate\Foundation\Http\FormRequest as Request;

class FormRequest extends Request
{
    use RequestValidator;

    public array $post_rules = [
        "form_nome" => "required|string|max:100",
        "form_descricao" => "required|string|nullable",
        "form_status" => "required|integer|min:1|max:2",
        "campos" => "present|array",
        "campos.*" => "integer|exists:dynamicdb.cadastro.campo,cam_codigo",
    ];

    public array $put_rules = [
        "form_nome" => "string|max:100",
        "form_descricao" => "string|nullable",
        "form_status" => "integer|min:1|max:2",
        "campos" => "array",
        "campos.*" => "integer|exists:dynamicdb.cadastro.campo,cam_codigo",
    ];

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

}
