<?php


namespace App\RestApi\User\Controllers;


use Freelabois\LaravelQuickstart\Traits\Crudable;
use Illuminate\Http\Request;
use Schaffen\Core\User\Managers\UserManager;
use Schaffen\Core\User\Repositories\UserRepository;
use App\Mobile\Synchronization\Resources\RouteResourceUserLogado;

class UserController
{
    use Crudable;
    protected $route_resource;

    public function __construct(UserManager $manager, UserRepository $repository)
    {
        $this->setup($manager, $repository);


    }

    public function index(Request $request)
    {
        $sanitized = $request->all();
        return $this->repository->list($sanitized, ['person']);
    }

    public function rotasUsuarioLogado(){
        $user_id = auth()->user()['usu_codigo'];
        return new RouteResourceUserLogado($this->repository->list(['usu_codigo' => $user_id], ['person']));
    }

}
